﻿<Box Class="top-row pl-4 navbar navbar-dark">
    <NavLink class="navbar-brand" href="">Exemple.Web</NavLink>
    <Button Class="navbar-toggler" @onclick="ToggleNavMenu">
        <Text><Icon Name="@("fa-bars")" /></Text>
    </Button>
</Box>

<Box Class="@NavMenuCssClass" Clicked="ToggleNavMenu">
    <ListGroup Class="nav flex-column">
        <ListGroupItem Class="nav-item px-3">
            <NavLink class="nav-link" href="" Match="NavLinkMatch.All">
                <Text><Icon Name="@("fa-home")" /> Home </Text>
            </NavLink>
        </ListGroupItem>
        <ListGroupItem Class="nav-item px-3">
            <NavLink class="nav-link" href="counter">
                <Text><Icon Name="@("fa-plus")" /> Counter </Text>
            </NavLink>
        </ListGroupItem>
        <ListGroupItem Class="nav-item px-3">
            <NavLink class="nav-link" href="fetchdata">
                <Text><Icon Name="@("fa-list")" /> Fetch data </Text>
            </NavLink>
        </ListGroupItem>
    </ListGroup>
</Box>

@code {
    private bool collapseNavMenu = true;

    private string NavMenuCssClass => collapseNavMenu ? "collapse" : null;

    private void ToggleNavMenu( ) =>
        collapseNavMenu = !collapseNavMenu;

}